###################################################################
#                                                                 #
#  rpm.cgi configuration file                                     #
#                                                                 #
###################################################################

# Location of the images directory as an absolute file path

$image_loc = "/home/httpd/html/rpm_cgi/";

# Set the following to 1 if you want to use a cache file for the
# first page. This is useful if the computer you are using is slow
# however, for fast machines this may be unnecessary

$use_cache_file = 1;

# Some  file and program locations these are the locations of the
# external programs that rpm.cgi uses. These are very likely to 
# have some additions and deletions in future uses

$hostname_prog = "/bin/hostname";
$rpm_prog = "/bin/rpm";  
$date_prog = "/bin/date";


# Temporary directory this is need at the moment for the cache
# and for the sorting. However I will probably do away with the
# need for sorting in a later release.

$temp_dir = "/tmp/";


# The table length can be set to a value so that browsers 
# display part of the contents of the page earlier. If this
# variable is set to 0 the whole page will be printed in one
# table but then you will have to wait for all the page to 
# come before anything will be displayed. 
# This is applicable to the main page and the files page for
# each RPM.

$table_length = 10;


# The page length can be set for the files view. Netscape 
# seems to have a problem displaying pages that are too big
# and that have complicated tables. You can therefore
# configure here the total number of files that are displayed
# on a page. If netsape seems to crash on the files view you
# might want to decrease this value. Setting this to 0 will
# put everything in one page

$page_length = 100;





